Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
wallets
/
transactions
/
{transaction_id}
/
capture
Capture pending transaction
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/wallets/transactions/{transaction_id}/capture \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ref_id": "<string>"
}
'
{
  "ref_id": "<string>",
  "amount": 50000,
  "currency": "NOK",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "metadata": {
    "order_id": "xk39592f"
  },
  "originated_by": "<string>",
  "type": "drawdown",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
transaction_id
string<uuid>
required

An id that uniqely idetifies a transaction

Body

application/json

capture details

ref_id
string
required

Unique ref ID provided by the client to support safely retrying requests without accidentally performing the same operation twice

All card transaction must have a unique ref ID, but it is not required that the ref ID is globally unique.

metadata
object

A key-value JSON object to store any additional information. The dintero_* namespace for keys is reserved

Example:
{ "order_id": "xk39592f" }
amount
integer

Monetary amount in smallest unit for the currency

Required range: x >= 0
Example:

50000

Response

Transaction created

ref_id
string
required

Unique ref ID provided by the client to support safely retrying requests without accidentally performing the same operation twice

All card transaction must have a unique ref ID, but it is not required that the ref ID is globally unique.

amount
integer
required

Monetary amount in smallest unit for the currency

Required range: x >= 0
Example:

50000

currency
enum<string>
required

The three-character ISO-4217 currency. https://en.wikipedia.org/wiki/ISO_4217

Available options:
NOK,
SEK,
DKK,
EUR,
USD
Example:

"NOK"

id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client that created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

metadata
object

A key-value JSON object to store any additional information. The dintero_* namespace for keys is reserved

Example:
{ "order_id": "xk39592f" }
originated_by
string

The reference to where the entity was created. (must not have trailing or leading spaces)

Maximum string length: 255
type
enum<string>
read-only

The type of the Transaction:

  • fund: the amount has been funded to the card
  • drawdown: the amount has been drawn from the card
  • pending_capture: the amount has been locked until it is either captured or voided
  • voided: the amount locked by pending Transaction is unlocked
Available options:
drawdown,
pending_capture,
voided,
fund
parent_id
string<uuid>
read-only

The ID of the original Transaction for a void or capture transaction